# Update Usage Limit
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/usage-limits-management/update-usage-limit/index.md

## Test case -- Success -- Update Usage Limit parameters {#test-case--success--update-usage-limit-parameters}

This test case describes updating parameters of a specified usage limit stored in the CMS.

For this test case, use the following information in the request:

|   Path parameter   | Available value |
|--------------------|-----------------|
| `usage_limit_code` | DAILY_TOTAL     |
|                    | MONTHLY_TOTAL   |

**Sample request**

`PUT /contracts/70001/usage-limits/DAILY_TOTAL`

```JSON
{
  "activityPeriodStartDate": "2031-06-25T12:51:30Z",
  "activityPeriodEndDate": "2031-07-25T12:51:30Z",
  "addInfo": "EXC_SIC_LIST=0004;",
  "currency": "EUR",
  "maxAmount": 1851.1,
  "maxNumber": 10,
  "maxPercent": 4,
  "maxSingleAmount": 1000
}
```

**Sample response**

`204`

## Test case -- Fail -- Invalid usage limit code {#test-case--fail--invalid-usage-limit-code}

This test case describes an attempt to update parameters of a specified usage limit stored in the CMS.

For this test case, use the following information in the request:

|   Path parameter   | Available value |
|--------------------|-----------------|
| `usage_limit_code` | INVALID         |

**Sample request**

`PUT /contracts/70001/usage-limits/INVALID`

```JSON
{
  "activityPeriodStartDate": "2031-06-25T12:51:30Z",
  "activityPeriodEndDate": "2031-07-25T12:51:30Z",
  "addInfo": "EXC_SIC_LIST=0004;",
  "currency": "EUR",
  "maxAmount": 1851.1,
  "maxNumber": 10,
  "maxPercent": 4,
  "maxSingleAmount": 1000
}
```

**Sample response**

`404`

```JSON
{
  "Errors": {
    "Error": [
      {
        "Source": "MASTERCARD PROCESSING",
        "ReasonCode": "USAGE_LIMIT_CODE_DOES_NOT_EXIST",
        "Description": "Usage limit code INVALID does not exist for contract with id 70001."
        "Recoverable": false,
      }
    ]
  }
}
```

